Bug 133641 - [MediaStream] Add getTracks() support to MediaStream.
Summary: [MediaStream] Add getTracks() support to MediaStream.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-09 05:04 PDT by Kiran
Modified: 2014-06-11 01:41 PDT (History)
14 users (show)

See Also:


Attachments
[MediaStream] add getTracks support to MediaStream (7.31 KB, patch)
2014-06-09 05:13 PDT, Kiran
eric.carlson: review+
kiran.guduru: commit-queue?
Details | Formatted Diff | Diff
[MediaStream] add getTracks support to MediaStream (7.42 KB, patch)
2014-06-09 21:53 PDT, Kiran
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-13 for mac-mountainlion-wk2 (501.42 KB, application/zip)
2014-06-09 23:59 PDT, Build Bot
no flags Details
[MediaStream] add getTracks support to MediaStream (7.42 KB, patch)
2014-06-10 00:35 PDT, Kiran
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kiran 2014-06-09 05:04:57 PDT
getTracks() for MediaStream has been proposed and accepted.

[1] https://www.w3.org/Bugs/Public/show_bug.cgi?id=25860

[2] https://github.com/fluffy/webrtc-w3c/commit/1149581cc2c4dd236470b7a661f1850cf091c7a4

So add getTracks() support to MediaStream.
Comment 1 Kiran 2014-06-09 05:13:06 PDT
Created attachment 232702 [details]
[MediaStream] add getTracks support to MediaStream

Add patch that implements getTracks() in MediaStream.
Comment 2 Eric Carlson 2014-06-09 11:22:31 PDT
Comment on attachment 232702 [details]
[MediaStream] add getTracks support to MediaStream

View in context: https://bugs.webkit.org/attachment.cgi?id=232702&action=review

> LayoutTests/fast/mediastream/MediaStream-getTracks.html:42
> +                tryAddTrack(stream2, audioTrack);

Nit: it would be nice to log streams being added so the test results are self documenting.
Comment 3 Kiran 2014-06-09 21:53:03 PDT
Created attachment 232767 [details]
[MediaStream] add getTracks support to MediaStream

Added extra logging in test file as per the review comments.
Comment 4 Build Bot 2014-06-09 23:59:09 PDT
Comment on attachment 232767 [details]
[MediaStream] add getTracks support to MediaStream

Attachment 232767 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/4514643447906304

New failing tests:
media/W3C/video/networkState/networkState_during_loadstart.html
Comment 5 Build Bot 2014-06-09 23:59:15 PDT
Created attachment 232776 [details]
Archive of layout-test-results from webkit-ews-13 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-13  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 6 Kiran 2014-06-10 00:35:08 PDT
Created attachment 232778 [details]
[MediaStream] add getTracks support to MediaStream
Comment 7 WebKit Commit Bot 2014-06-10 03:17:47 PDT
Comment on attachment 232778 [details]
[MediaStream] add getTracks support to MediaStream

Clearing flags on attachment: 232778

Committed r169743: <http://trac.webkit.org/changeset/169743>
Comment 8 Kiran 2014-06-11 01:41:33 PDT
Patch got landed, so closing the bug.